Skip to main content

JDIC demo browser error

1 reply [Last post]
yjlee
Offline
Joined: 2006-02-17
Points: 0

Hello,

When I tried to run the demo browser example code, I got the UnsupportedClassVersionError:

C:\Documents and Settings\yjlee\My Documents\Worx\eclipse-SDK-3.0M9-win32\eclipse\workspace\JDIC_Test\bin>java -cp .;jdic.jar Browser Exception in thread "main" java.lang.UnsupportedClassVersionError: org/jdesktop/jdic/browser/WebBrowserListener (Unsupported major.minor version 49.0) at java.lang.ClassLoader.defineClass0(Native Method) at java.lang.ClassLoader.defineClass(Unknown Source) at java.security.SecureClassLoader.defineClass(Unknown Source) at java.net.URLClassLoader.defineClass(Unknown Source) at java.net.URLClassLoader.access$100(Unknown Source) at java.net.URLClassLoader$1.run(Unknown Source) at java.security.AccessController.doPrivileged(Native Method) at java.net.URLClassLoader.findClass(Unknown Source) at java.lang.ClassLoader.loadClass(Unknown Source) at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source) at java.lang.ClassLoader.loadClass(Unknown Source) at java.lang.ClassLoader.loadClassInternal(Unknown Source)

Can anyone help me with this problem?

Thanks in advance.

Young-Jin

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
georgez
Offline
Joined: 2003-08-19
Points: 0

Yong,

This looks like a fixed problem. I built the first binary distributions (for Windows and Solaris) using jdk 1.5.0, so it didn't work with jdk 1.4.*. But I've rebuilt it (the current distributions in the download area, the same names with an earlier built)) using jdk 1.4.2, so it work both with 1.4.2 and 1.5.0.

Could you check if you downloaded the current distributions, and if it doesn't work with "java" directly, try to recompile it using "javac *.java" first.

Thanks,
-George Zhang.